package arsenalnet

import (
	"fmt"

	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Планировщик боеприпасов и ремок для сети
*/

// ArsenalNet -- планировщик беоприпасов и ремок в сети
type ArsenalNet struct {
	*sectionnet.SectionNet
}

// NewArsenalNet -- возвращает новый *ArsenalNet
func NewArsenalNet(server types.IServer, bot types.IServBot) (*ArsenalNet, error) {
	{ // Предусловия
		if server == nil {
			return nil, fmt.Errorf("NewArsenalNet(): IServer == nil")
		}
		if bot == nil {
			return nil, fmt.Errorf("NewArsenalNet(): IServBot == nil")
		}
	}

	sf := &ArsenalNet{
		SectionNet: sectionnet.NewSectionNet(server, bot, bot.Angar().Base().Arsenal(), "http://wartank.ru/production/Armory"),
	}

	return sf, nil
}
